Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.3.5 generated on August 31 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.meta
Class DelegatingFieldMetaData

    java.lang.Object
      |
      +--kodo.meta.DelegatingExtensions
            |
            +--kodo.meta.DelegatingFieldMetaData

All Implemented Interfaces:
  Commentable, Comparable, Extensions, FieldMetaData, JDOTypes

Direct Known Subclasses:
  AbstractFieldMapping

public class DelegatingFieldMetaData
extends DelegatingExtensions
implements FieldMetaData

Wrapper around an existing field metadata. Subclasses can override the methods they mean to change. The `equals` and `hashCode` methods pass through to the base underlying field metadata.

Fields inherited from interface kodo.meta.FieldMetaData
`DEPENDENT, EAGER_FETCH_MODE, ELEMENT_DEPENDENT, ELEMENT_TYPE, EXTENSION_KEYS, EXTERNAL_VALUES, EXTERNALIZER, FACTORY, FETCH_GROUP, INVERSE_LOGICAL, INVERSE_OWNER, KEY_DEPENDENT, KEY_TYPE, LOCK_GROUP, LOCK_GROUP_DEFAULT, LOCK_GROUP_NONE, LRS, MANAGE_NONE, MANAGE_PERSISTENT, MANAGE_TRANSACTIONAL, NULL_DEFAULT, NULL_EXCEPTION, NULL_NONE, NULL_UNSET, SEQUENCE_ASSIGNED, TYPE, VALUE_DEPENDENT, VALUE_TYPE`

Fields inherited from interface kodo.meta.JDOTypes
`TYPE_ARRAY, TYPE_BIGDECIMAL, TYPE_BIGINTEGER, TYPE_BOOLEAN, TYPE_BOOLEAN_OBJ, TYPE_BYTE, TYPE_BYTE_OBJ, TYPE_CHAR, TYPE_CHAR_OBJ, TYPE_COLLECTION, TYPE_DATE, TYPE_DOUBLE, TYPE_DOUBLE_OBJ, TYPE_FCO, TYPE_FLOAT, TYPE_FLOAT_OBJ, TYPE_INT, TYPE_INT_OBJ, TYPE_LOCALE, TYPE_LONG, TYPE_LONG_OBJ, TYPE_MAP, TYPE_NUMBER, TYPE_OBJECT, TYPE_PC_OBJECT, TYPE_SHORT, TYPE_SHORT_OBJ, TYPE_STRING`

Constructor Summary
`DelegatingFieldMetaData(FieldMetaData meta)`

Method Summary
`int` | `compareTo(Object other)`
`boolean` | `equals(Object other)`
`Collection` | `getComments()` Return a collection of all the comments associated with this instance.
`Comparator` | `getComparator()` The comparator type used by the field, or null if none.
`Class` | `getDeclaredElementType()` Return the declared class of the described field.
`int` | `getDeclaredElementTypeCode()` Return the declared type code of the described field.
`ClassMetaData` | `getDeclaredElementTypeMetaData()` Return metadata for the field's type, if the type is persistent.
`int` | `getDeclaredIndex()` Return the relative index of this persistent/transactional field.
`Class` | `getDeclaredKeyType()` Return the declared class of the described field.
`int` | `getDeclaredKeyTypeCode()` Return the declared class of the described field.
`ClassMetaData` | `getDeclaredKeyTypeMetaData()` Return metadata for the field's type, if the type is persistent.
`int` | `getDeclaredPrimaryKeyIndex()` Return the primary key index of this persistent/transactional field, or -1 if not a primary key.
`Class` | `getDeclaredType()` Return the declared class of the described field.
`int` | `getDeclaredTypeCode()` Return the declared type code of the described field.
`ClassMetaData` | `getDeclaredTypeMetaData()` Return metadata for the field's type, if the type is persistent.
`FieldMetaData` | `getDelegate()` Return the wrapped metadata.
`int` | `getEagerFetchMode()` The eager fetch mode, as one of the eager constants in `FetchConfiguration`.
`Class` | `getElementType()` Return the type of objects stored in the array/collection/map; defaults to `Object` if not specified, or null if this field does not represent an array/collection/map type.
`int` | `getElementTypeCode()` Return the type code of objects stored in the array/collection/map, or -1 if not an array/collection/map.
`ClassMetaData` | `getElementTypeMetaData()` Return metadata for the element type, or null if not persistent.
`String` | `getElementTypeName()` The value of the `FieldMetaData.ELEMENT_TYPE` or `FieldMetaData.VALUE_TYPE` extension key.
`String` | `getExternalizer()` The name of this field's externalizer, or null if none.
`Object` | `getExternalValue(Object fieldVal, KodoPersistenceManager pm)` Convert the given field value to its external value through the provided externalizer, or return the value as-is if no externalizer.
`String` | `getExternalValues()` Properties string mapping field values to external values.
`String` | `getFactory()` The name of this field's factory, or null if none.
`String` | `getFetchGroup()` Return the name of the custom fetch group for this field, or null if none.
`byte` | `getFieldFlag()` Returns the JDO flag type for this field.
`Object` | `getFieldValue(Object externalVal, KodoPersistenceManager pm)` Return the result of passing the given external value through the factory to get the field value.
`String` | `getFullName()` Return the full name of the described field, in the form `<package.to.Class>.<field>`.
`int` | `getIndex()` Return the absolute index of this persistent/transactional field.
`FieldMetaData` | `getInnermostDelegate()` Return the base underlying field metadata.
`String` | `getInverseLogical()` Return the field marked as a logical inverse via the `#INVERSE_LOGiCAL` extension key.
`FieldMetaData[]` | `getInverseMetaDatas()` Return all fields to which this field owns or is owned in the inverse, or has simulated inverse behavior.
`String` | `getInverseOwner()` Return the field marked as an inverse via the `FieldMetaData.INVERSE_OWNER` extension key.
`FieldMetaData` | `getInverseOwnerMetaData()` Return the metadata for the field's inverse.
`Class` | `getKeyType()` The type of objects used as keys in the map; defaults to `Object` if not specified, or null if this field is not a map.
`int` | `getKeyTypeCode()` The type code of objects used as keys in the map.
`ClassMetaData` | `getKeyTypeMetaData()` Return metadata for the key type, or null if not persistent.
`String` | `getKeyTypeName()` The value of the `FieldMetaData.KEY_TYPE` extension key.
`int` | `getListingIndex()` Return the index in which this field was listed in the JDO metadata.
`String` | `getLockGroup()` Return the name of the lock fetch group for this field, or null if none.
`int` | `getManagement()` Return the management level for the field.
`String` | `getName()` Return the name of the described field.
`int` | `getNullValue()` How the data store should treat null values for this field: `FieldMetaData.NULL_NONE`: leave null values as null in the data store `FieldMetaData.NULL_EXCEPTION`: throw an exception if this field is null at commit `FieldMetaData.NULL_DEFAULT`: use the database default if this field is null at commit Defaults to `FieldMetaData.NULL_NONE`.
`ClassMetaData` | `getOwner()` Return the owning metadata for this field.
`int` | `getPrimaryKeyIndex()` Returns the primary key index for the inheritance hierarchy.
`Class` | `getProxyType()` The type this field was initialized with, and therefore the type to use for proxies when loading data into this field.
`Class` | `getType()` Return the class of the described field.
`int` | `getTypeCode()` Return the type code of the described field.
`ClassMetaData` | `getTypeMetaData()` Return metadata for the field's type, if the type is persistent.
`String` | `getTypeName()` The value of the `FieldMetaData.TYPE` extension key.
`int` | `hashCode()`
`void` | `invalidateResolve()` For implementation use.
`boolean` | `isDefaultFetchGroupExplicit()` Return whether the field explicitly declares its default fetch group status.
`boolean` | `isDependent()` Return true if the `FieldMetaData.DEPENDENT` extension key is true and the field is a first class object.
`boolean` | `isElementDependent()` Return true if the `FieldMetaData.ELEMENT_DEPENDENT`/`FieldMetaData.VALUE_DEPENDENT` extension key is true and the element/value contains first class objects.
`boolean` | `isElementEmbedded()` A hint to the JDO implementation on whether the arary/collection/map values should be stored as part of the instance rather than as their own instances in the data store.
`boolean` | `isEmbedded()` This attribute is a hint to the JDO implementation to store this field in the same instance as the class, rather than as a separate datastore instance.
`boolean` | `isExplicit()` Return true if the field is explicitly declared in the metadata.
`boolean` | `isExternalized()` Whether the field is externalized.
`boolean` | `isInDefaultFetchGroup()` Return true if the field should be fetched at once along with all other default fetch group fields, rather than individually.
`boolean` | `isKeyDependent()` Return true if the `FieldMetaData.KEY_DEPENDENT` extension key is true and the key contains first class objects.
`boolean` | `isKeyEmbedded()` A hint to the JDO implementation on whether the map keys should be stored as part of the instance rather than as their own instances in the data store.
`boolean` | `isLRS()` Whether this field is backed by a large result set.
`boolean` | `isPrimaryKey()` If true, the field was specified in the meta data to be a primary key field.
`boolean` | `isResolved()` Return whether this field has been resolved.
`boolean` | `isSequenceAssigned()` Set whether this field (of long, int, short or wrapper type) should have a value assigned to it on flush.
`boolean` | `isTransient()` Return whether this is a transient field.
`void` | `resolve()` For implementation use.
`void` | `setComparator(Comparator comp)` The comparator type used by the field, or null if none.
`void` | `setDeclaredElementType(Class cls)` Set the element class for this array/collection/map field.
`void` | `setDeclaredElementTypeCode(int type)` Set the element type code for the described field.
`void` | `setDeclaredIndex(int index)` Used by `ClassMetaData` to set index.
`void` | `setDeclaredKeyType(Class cls)` Set the key type for this map field.
`void` | `setDeclaredKeyTypeCode(int type)` Set the key type code for the described field.
`void` | `setDeclaredPrimaryKeyIndex(int index)` Used by `ClassMetaData` to set index.
`void` | `setDeclaredType(Class type)` Set the class of the described field.
`void` | `setDeclaredTypeCode(int type)` Set the type code for the described field.
`void` | `setDependent(boolean cascade)` Set the value of the `FieldMetaData.DEPENDENT` standard extension.
`void` | `setEagerFetchMode(int mode)` The eager fetch mode, as one of the eager constants in `FetchConfiguration`.
`void` | `setElementDependent(boolean cascade)` Set the value of the `FieldMetaData.ELEMENT_DEPENDENT` extension key.
`void` | `setElementEmbedded(boolean embedded)` Set whether the elements should be embedded.
`void` | `setElementTypeName(String type)` The value of the `FieldMetaData.ELEMENT_TYPE` or `FieldMetaData.VALUE_TYPE` extension key.
`void` | `setEmbedded(boolean embedded)` Set the embedded value for the field.
`void` | `setExplicit(boolean explicit)` Set whether the field was explicitly declared in the metadata.
`void` | `setExternalizer(String externalizer)` The name of this field's externalizer, or null if none.
`void` | `setExternalValues(String values)` Properties string mapping field values to external values.
`void` | `setFactory(String factory)` The name of this field's factory, or null if none.
`void` | `setFetchGroup(String fg)` Set the name of the custom fetch group for this field.
`void` | `setInDefaultFetchGroup(boolean dfg)` Set whether the field is in the default fetch group.
`void` | `setIndex(int index)` Used by `ClassMetaData` to set index.
`void` | `setInverseLogical(String inverse)` Set the field marked as a logical inverse via the `FieldMetaData.INVERSE_LOGICAL` extension key.
`void` | `setInverseOwner(String inverse)` Set the field marked as an inverse via the `FieldMetaData.INVERSE_OWNER` extension key.
`void` | `setKeyDependent(boolean cascade)` Set the value of the `FieldMetaData.KEY_DEPENDENT` extension key.
`void` | `setKeyEmbedded(boolean embedded)` Set whether the keys are embedded.
`void` | `setKeyTypeName(String type)` The value of the `FieldMetaData.KEY_TYPE` extension key.
`void` | `setListingIndex(int index)` Set the index in which this field was listed in the JDO metadata.
`void` | `setLockGroup(String lg)` Set the name of the lock group for this field.
`void` | `setLRS(boolean lrs)` Whether this field is backed by a large result set.
`void` | `setManagement(int manage)` Set the management level for the field.
`void` | `setName(String name)` Set the name of the described field.
`void` | `setNullValue(int nullValue)` Set the null action for the field.
`void` | `setOwner(ClassMetaData owner)` Set the owning metadata for this field.
`void` | `setPrimaryKey(boolean primKey)` Set whether this is a primary key field.
`void` | `setProxyType(Class proxyType)` The type this field was initialized with, and therefore the type to use for proxies when loading data into this field.
`void` | `setSequenceAssigned(boolean seqAssign)` Set whether this field (of long, int, short or wrapper type) should have a value assigned to it on flush.
`void` | `setTransient(boolean trans)` Set whether this is a transient field.
`void` | `setTypeName(String type)` The value of the `FieldMetaData.TYPE` extension key.
`String` | `toString()`
`Boolean` | `usesImplData()` Return whether this field uses impl data in conjunction with standard field data when acting on a `KodoStateManager`.
`boolean` | `usesIntermediate()` Return whether this field uses intermediate data when loading/storing information through a `KodoStateManager`.

Methods inherited from class kodo.meta.DelegatingExtensions
`addExtension, addExtension, addExtensionKeys, getBooleanExtension, getBooleanExtension, getDoubleExtension, getDoubleExtension, getEmbeddedExtensions, getEmbeddedExtensions, getExtensionComments, getExtensionKeys, getExtensionKeys, getExtensionVendors, getIntExtension, getIntExtension, getObjectExtension, getObjectExtension, getStringExtension, getStringExtension, hasExtension, hasExtension, isEmpty, removeEmbeddedExtensions, removeEmbeddedExtensions, removeExtension, removeExtension`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface kodo.meta.Extensions
`addExtension, addExtension, addExtensionKeys, getBooleanExtension, getBooleanExtension, getDoubleExtension, getDoubleExtension, getEmbeddedExtensions, getEmbeddedExtensions, getExtensionComments, getExtensionKeys, getExtensionKeys, getExtensionVendors, getIntExtension, getIntExtension, getObjectExtension, getObjectExtension, getStringExtension, getStringExtension, hasExtension, hasExtension, isEmpty, removeEmbeddedExtensions, removeEmbeddedExtensions, removeExtension, removeExtension`

Constructor Detail

### DelegatingFieldMetaData

    public DelegatingFieldMetaData(FieldMetaData meta)

Method Detail

### getDelegate

    public FieldMetaData getDelegate()

  Return the wrapped metadata.

### getInnermostDelegate

    public FieldMetaData getInnermostDelegate()

  Return the base underlying field metadata.

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object other)

  Overrides:
    `equals` in class `Object`

### compareTo

    public int compareTo(Object other)

  Specified by:
    `compareTo` in interface `Comparable`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getOwner

    public ClassMetaData getOwner()

  Description copied from interface: `FieldMetaData`
  Return the owning metadata for this field.
  Specified by:
    `getOwner` in interface `FieldMetaData`

### setOwner

    public void setOwner(ClassMetaData owner)

  Description copied from interface: `FieldMetaData`
  Set the owning metadata for this field.
  Specified by:
    `setOwner` in interface `FieldMetaData`

### getName

    public String getName()

  Description copied from interface: `FieldMetaData`
  Return the name of the described field.
  Specified by:
    `getName` in interface `FieldMetaData`

### setName

    public void setName(String name)

  Description copied from interface: `FieldMetaData`
  Set the name of the described field.
  Specified by:
    `setName` in interface `FieldMetaData`

### getFullName

    public String getFullName()

  Description copied from interface: `FieldMetaData`
  Return the full name of the described field, in the form `<package.to.Class>.<field>`.
  Specified by:
    `getFullName` in interface `FieldMetaData`

### getType

    public Class getType()

  Description copied from interface: `FieldMetaData`
  Return the class of the described field.
  Specified by:
    `getType` in interface `FieldMetaData`

### getTypeCode

    public int getTypeCode()

  Description copied from interface: `FieldMetaData`
  Return the type code of the described field.
  Specified by:
    `getTypeCode` in interface `FieldMetaData`

### getTypeMetaData

    public ClassMetaData getTypeMetaData()

  Description copied from interface: `FieldMetaData`
  Return metadata for the field's type, if the type is persistent.
  Specified by:
    `getTypeMetaData` in interface `FieldMetaData`

### getDeclaredType

    public Class getDeclaredType()

  Description copied from interface: `FieldMetaData`
  Return the declared class of the described field. This can differ from the return value of `FieldMetaData.getType()` if the user indicates a different type with the `#PC_CLASS` extension or an `FieldMetaData.EXTERNALIZER`.
  Specified by:
    `getDeclaredType` in interface `FieldMetaData`

### setDeclaredType

    public void setDeclaredType(Class type)

  Description copied from interface: `FieldMetaData`
  Set the class of the described field.
  Specified by:
    `setDeclaredType` in interface `FieldMetaData`

### getDeclaredTypeCode

    public int getDeclaredTypeCode()

  Description copied from interface: `FieldMetaData`
  Return the declared type code of the described field. This can differ from the return value of `FieldMetaData.getTypeCode()` if the user indicates a different type with the `#PC_CLASS` extension or an `FieldMetaData.EXTERNALIZER`.
  Specified by:
    `getDeclaredTypeCode` in interface `FieldMetaData`

### setDeclaredTypeCode

    public void setDeclaredTypeCode(int type)

  Description copied from interface: `FieldMetaData`
  Set the type code for the described field. The type code is usually computed automatically, but it can be useful to set it explicitly when creating metadatas from scratch.
  Specified by:
    `setDeclaredTypeCode` in interface `FieldMetaData`

### getDeclaredTypeMetaData

    public ClassMetaData getDeclaredTypeMetaData()

  Description copied from interface: `FieldMetaData`
  Return metadata for the field's type, if the type is persistent.
  Specified by:
    `getDeclaredTypeMetaData` in interface `FieldMetaData`

### getProxyType

    public Class getProxyType()

  Description copied from interface: `FieldMetaData`
  The type this field was initialized with, and therefore the type to use for proxies when loading data into this field.
  Specified by:
    `getProxyType` in interface `FieldMetaData`

### setProxyType

    public void setProxyType(Class proxyType)

  Description copied from interface: `FieldMetaData`
  The type this field was initialized with, and therefore the type to use for proxies when loading data into this field.
  Specified by:
    `setProxyType` in interface `FieldMetaData`

### isTransient

    public boolean isTransient()

  Description copied from interface: `FieldMetaData`
  Return whether this is a transient field.
  Specified by:
    `isTransient` in interface `FieldMetaData`

### setTransient

    public void setTransient(boolean trans)

  Description copied from interface: `FieldMetaData`
  Set whether this is a transient field.
  Specified by:
    `setTransient` in interface `FieldMetaData`

### getIndex

    public int getIndex()

  Description copied from interface: `FieldMetaData`
  Return the absolute index of this persistent/transactional field.
  Specified by:
    `getIndex` in interface `FieldMetaData`

### setIndex

    public void setIndex(int index)

  Description copied from interface: `FieldMetaData`
  Used by `ClassMetaData` to set index.
  Specified by:
    `setIndex` in interface `FieldMetaData`

### getDeclaredIndex

    public int getDeclaredIndex()

  Description copied from interface: `FieldMetaData`
  Return the relative index of this persistent/transactional field.
  Specified by:
    `getDeclaredIndex` in interface `FieldMetaData`

### setDeclaredIndex

    public void setDeclaredIndex(int index)

  Description copied from interface: `FieldMetaData`
  Used by `ClassMetaData` to set index.
  Specified by:
    `setDeclaredIndex` in interface `FieldMetaData`

### getListingIndex

    public int getListingIndex()

  Description copied from interface: `FieldMetaData`
  Return the index in which this field was listed in the JDO metadata. Returns `-1` if this field was not listed in the metadata. Note that this index is per-class, and is not unique within the class hierarchy.
  Specified by:
    `getListingIndex` in interface `FieldMetaData`

### setListingIndex

    public void setListingIndex(int index)

  Description copied from interface: `FieldMetaData`
  Set the index in which this field was listed in the JDO metadata.
  Specified by:
    `setListingIndex` in interface `FieldMetaData`

### getDeclaredPrimaryKeyIndex

    public int getDeclaredPrimaryKeyIndex()

  Description copied from interface: `FieldMetaData`
  Return the primary key index of this persistent/transactional field, or -1 if not a primary key. The index of the primary key is only based on the current class; to determine the index in the entire hierarchy, use `FieldMetaData.getPrimaryKeyIndex()`.
  Specified by:
    `getDeclaredPrimaryKeyIndex` in interface `FieldMetaData`

### setDeclaredPrimaryKeyIndex

    public void setDeclaredPrimaryKeyIndex(int index)

  Description copied from interface: `FieldMetaData`
  Used by `ClassMetaData` to set index.
  Specified by:
    `setDeclaredPrimaryKeyIndex` in interface `FieldMetaData`

### getPrimaryKeyIndex

    public int getPrimaryKeyIndex()

  Description copied from interface: `FieldMetaData`
  Returns the primary key index for the inheritance hierarchy.
  Specified by:
    `getPrimaryKeyIndex` in interface `FieldMetaData`

### getManagement

    public int getManagement()

  Description copied from interface: `FieldMetaData`
  Return the management level for the field. Will be one of:
  - `FieldMetaData.MANAGE_PERSISTENT`: the field is persistent
  - `FieldMetaData.MANAGE_TRANSACTIONAL`: the field is transactional but not persistent
  - `FieldMetaData.MANAGE_NONE`: the field is not managed
  Defaults to `FieldMetaData.MANAGE_PERSISTENT`.
  Specified by:
    `getManagement` in interface `FieldMetaData`

### setManagement

    public void setManagement(int manage)

  Description copied from interface: `FieldMetaData`
  Set the management level for the field.
  Specified by:
    `setManagement` in interface `FieldMetaData`
  Following copied from interface: `kodo.meta.FieldMetaData`
  See Also:
    `FieldMetaData.getManagement()`

### isPrimaryKey

    public boolean isPrimaryKey()

  Description copied from interface: `FieldMetaData`
  If true, the field was specified in the meta data to be a primary key field.
  Specified by:
    `isPrimaryKey` in interface `FieldMetaData`

### setPrimaryKey

    public void setPrimaryKey(boolean primKey)

  Description copied from interface: `FieldMetaData`
  Set whether this is a primary key field.
  Specified by:
    `setPrimaryKey` in interface `FieldMetaData`

### getFieldFlag

    public byte getFieldFlag()

  Description copied from interface: `FieldMetaData`
  Returns the JDO flag type for this field. See the field types in the `PersistenceCapable` interface.
  Specified by:
    `getFieldFlag` in interface `FieldMetaData`

### getNullValue

    public int getNullValue()

  Description copied from interface: `FieldMetaData`
  How the data store should treat null values for this field:
  - `FieldMetaData.NULL_NONE`: leave null values as null in the data store
  - `FieldMetaData.NULL_EXCEPTION`: throw an exception if this field is null at commit
  - `FieldMetaData.NULL_DEFAULT`: use the database default if this field is null at commit
  Defaults to `FieldMetaData.NULL_NONE`.
  Specified by:
    `getNullValue` in interface `FieldMetaData`

### setNullValue

    public void setNullValue(int nullValue)

  Description copied from interface: `FieldMetaData`
  Set the null action for the field.
  Specified by:
    `setNullValue` in interface `FieldMetaData`
  Following copied from interface: `kodo.meta.FieldMetaData`
  See Also:
    `FieldMetaData.getNullValue()`

### isExplicit

    public boolean isExplicit()

  Description copied from interface: `FieldMetaData`
  Return true if the field is explicitly declared in the metadata.
  Specified by:
    `isExplicit` in interface `FieldMetaData`

### setExplicit

    public void setExplicit(boolean explicit)

  Description copied from interface: `FieldMetaData`
  Set whether the field was explicitly declared in the metadata.
  Specified by:
    `setExplicit` in interface `FieldMetaData`

### isInDefaultFetchGroup

    public boolean isInDefaultFetchGroup()

  Description copied from interface: `FieldMetaData`
  Return true if the field should be fetched at once along with all other default fetch group fields, rather than individually. Defaults to true if the field is not a collection or map or array or first class object or unknown object; defaults to false otherwise.
  Specified by:
    `isInDefaultFetchGroup` in interface `FieldMetaData`

### setInDefaultFetchGroup

    public void setInDefaultFetchGroup(boolean dfg)

  Description copied from interface: `FieldMetaData`
  Set whether the field is in the default fetch group.
  Specified by:
    `setInDefaultFetchGroup` in interface `FieldMetaData`

### isDefaultFetchGroupExplicit

    public boolean isDefaultFetchGroupExplicit()

  Description copied from interface: `FieldMetaData`
  Return whether the field explicitly declares its default fetch group status.
  Specified by:
    `isDefaultFetchGroupExplicit` in interface `FieldMetaData`

### isEmbedded

    public boolean isEmbedded()

  Description copied from interface: `FieldMetaData`
  This attribute is a hint to the JDO implementation to store this field in the same instance as the class, rather than as a separate datastore instance. Defaults to true if the field is not a collection or map or first class object; defaults to false otherwise. Implementations are permitted to ignore this attribute.
  Specified by:
    `isEmbedded` in interface `FieldMetaData`

### setEmbedded

    public void setEmbedded(boolean embedded)

  Description copied from interface: `FieldMetaData`
  Set the embedded value for the field.
  Specified by:
    `setEmbedded` in interface `FieldMetaData`

### getElementType

    public Class getElementType()

  Description copied from interface: `FieldMetaData`
  Return the type of objects stored in the array/collection/map; defaults to `Object` if not specified, or null if this field does not represent an array/collection/map type.
  Specified by:
    `getElementType` in interface `FieldMetaData`

### getElementTypeCode

    public int getElementTypeCode()

  Description copied from interface: `FieldMetaData`
  Return the type code of objects stored in the array/collection/map, or -1 if not an array/collection/map.
  Specified by:
    `getElementTypeCode` in interface `FieldMetaData`

### getElementTypeMetaData

    public ClassMetaData getElementTypeMetaData()

  Description copied from interface: `FieldMetaData`
  Return metadata for the element type, or null if not persistent.
  Specified by:
    `getElementTypeMetaData` in interface `FieldMetaData`

### getDeclaredElementType

    public Class getDeclaredElementType()

  Description copied from interface: `FieldMetaData`
  Return the declared class of the described field. This can differ from the return value of `FieldMetaData.getElementType()` if the user indicates a different type with the `#ELEMENT_PC_CLASS` extension or the `FieldMetaData.ELEMENT_TYPE` extension.
  Specified by:
    `getDeclaredElementType` in interface `FieldMetaData`

### setDeclaredElementType

    public void setDeclaredElementType(Class cls)

  Description copied from interface: `FieldMetaData`
  Set the element class for this array/collection/map field.
  Specified by:
    `setDeclaredElementType` in interface `FieldMetaData`

### getDeclaredElementTypeCode

    public int getDeclaredElementTypeCode()

  Description copied from interface: `FieldMetaData`
  Return the declared type code of the described field. This can differ from the return value of `FieldMetaData.getElementTypeCode()` if the user indicates a different type with the `#ELEMENT_PC_CLASS` extension or the `FieldMetaData.ELEMENT_TYPE` extension.
  Specified by:
    `getDeclaredElementTypeCode` in interface `FieldMetaData`

### setDeclaredElementTypeCode

    public void setDeclaredElementTypeCode(int type)

  Description copied from interface: `FieldMetaData`
  Set the element type code for the described field. The type code is usually computed automatically, but it can be useful to set it explicitly when creating metadatas from scratch.
  Specified by:
    `setDeclaredElementTypeCode` in interface `FieldMetaData`

### getDeclaredElementTypeMetaData

    public ClassMetaData getDeclaredElementTypeMetaData()

  Description copied from interface: `FieldMetaData`
  Return metadata for the field's type, if the type is persistent.
  Specified by:
    `getDeclaredElementTypeMetaData` in interface `FieldMetaData`

### isElementEmbedded

    public boolean isElementEmbedded()

  Description copied from interface: `FieldMetaData`
  A hint to the JDO implementation on whether the arary/collection/map values should be stored as part of the instance rather than as their own instances in the data store. Implementations are permitted to ignore this attribute.
  Specified by:
    `isElementEmbedded` in interface `FieldMetaData`

### setElementEmbedded

    public void setElementEmbedded(boolean embedded)

  Description copied from interface: `FieldMetaData`
  Set whether the elements should be embedded.
  Specified by:
    `setElementEmbedded` in interface `FieldMetaData`

### getKeyType

    public Class getKeyType()

  Description copied from interface: `FieldMetaData`
  The type of objects used as keys in the map; defaults to `Object` if not specified, or null if this field is not a map.
  Specified by:
    `getKeyType` in interface `FieldMetaData`

### getKeyTypeCode

    public int getKeyTypeCode()

  Description copied from interface: `FieldMetaData`
  The type code of objects used as keys in the map.
  Specified by:
    `getKeyTypeCode` in interface `FieldMetaData`

### getKeyTypeMetaData

    public ClassMetaData getKeyTypeMetaData()

  Description copied from interface: `FieldMetaData`
  Return metadata for the key type, or null if not persistent.
  Specified by:
    `getKeyTypeMetaData` in interface `FieldMetaData`

### getDeclaredKeyType

    public Class getDeclaredKeyType()

  Description copied from interface: `FieldMetaData`
  Return the declared class of the described field. This can differ from the return value of `FieldMetaData.getKeyType()` if the user indicates a different type with the `#KEY_PC_CLASS` extension or the `FieldMetaData.KEY_TYPE` extension.
  Specified by:
    `getDeclaredKeyType` in interface `FieldMetaData`

### setDeclaredKeyType

    public void setDeclaredKeyType(Class cls)

  Description copied from interface: `FieldMetaData`
  Set the key type for this map field.
  Specified by:
    `setDeclaredKeyType` in interface `FieldMetaData`

### getDeclaredKeyTypeCode

    public int getDeclaredKeyTypeCode()

  Description copied from interface: `FieldMetaData`
  Return the declared class of the described field. This can differ from the return value of `FieldMetaData.getKeyTypeCode()` if the user indicates a different type with the `#KEY_PC_CLASS` extension or the `FieldMetaData.KEY_TYPE` extension.
  Specified by:
    `getDeclaredKeyTypeCode` in interface `FieldMetaData`

### setDeclaredKeyTypeCode

    public void setDeclaredKeyTypeCode(int type)

  Description copied from interface: `FieldMetaData`
  Set the key type code for the described field. The type code is usually computed automatically, but it can be useful to set it explicitly when creating metadatas from scratch.
  Specified by:
    `setDeclaredKeyTypeCode` in interface `FieldMetaData`

### getDeclaredKeyTypeMetaData

    public ClassMetaData getDeclaredKeyTypeMetaData()

  Description copied from interface: `FieldMetaData`
  Return metadata for the field's type, if the type is persistent.
  Specified by:
    `getDeclaredKeyTypeMetaData` in interface `FieldMetaData`

### isKeyEmbedded

    public boolean isKeyEmbedded()

  Description copied from interface: `FieldMetaData`
  A hint to the JDO implementation on whether the map keys should be stored as part of the instance rather than as their own instances in the data store. Implementations are permitted to ignore this attribute.
  Specified by:
    `isKeyEmbedded` in interface `FieldMetaData`

### setKeyEmbedded

    public void setKeyEmbedded(boolean embedded)

  Description copied from interface: `FieldMetaData`
  Set whether the keys are embedded.
  Specified by:
    `setKeyEmbedded` in interface `FieldMetaData`

### getComparator

    public Comparator getComparator()

  Description copied from interface: `FieldMetaData`
  The comparator type used by the field, or null if none.
  Specified by:
    `getComparator` in interface `FieldMetaData`

### setComparator

    public void setComparator(Comparator comp)

  Description copied from interface: `FieldMetaData`
  The comparator type used by the field, or null if none.
  Specified by:
    `setComparator` in interface `FieldMetaData`

### getInverseOwner

    public String getInverseOwner()

  Description copied from interface: `FieldMetaData`
  Return the field marked as an inverse via the `FieldMetaData.INVERSE_OWNER` extension key.
  Specified by:
    `getInverseOwner` in interface `FieldMetaData`

### setInverseOwner

    public void setInverseOwner(String inverse)

  Description copied from interface: `FieldMetaData`
  Set the field marked as an inverse via the `FieldMetaData.INVERSE_OWNER` extension key.
  Specified by:
    `setInverseOwner` in interface `FieldMetaData`

### getInverseOwnerMetaData

    public FieldMetaData getInverseOwnerMetaData()

  Description copied from interface: `FieldMetaData`
  Return the metadata for the field's inverse.
  Specified by:
    `getInverseOwnerMetaData` in interface `FieldMetaData`

### getInverseLogical

    public String getInverseLogical()

  Description copied from interface: `FieldMetaData`
  Return the field marked as a logical inverse via the `#INVERSE_LOGiCAL` extension key.
  Specified by:
    `getInverseLogical` in interface `FieldMetaData`

### setInverseLogical

    public void setInverseLogical(String inverse)

  Description copied from interface: `FieldMetaData`
  Set the field marked as a logical inverse via the `FieldMetaData.INVERSE_LOGICAL` extension key.
  Specified by:
    `setInverseLogical` in interface `FieldMetaData`

### getInverseMetaDatas

    public FieldMetaData[] getInverseMetaDatas()

  Description copied from interface: `FieldMetaData`
  Return all fields to which this field owns or is owned in the inverse, or has simulated inverse behavior.
  Specified by:
    `getInverseMetaDatas` in interface `FieldMetaData`

### isDependent

    public boolean isDependent()

  Description copied from interface: `FieldMetaData`
  Return true if the `FieldMetaData.DEPENDENT` extension key is true and the field is a first class object.
  Specified by:
    `isDependent` in interface `FieldMetaData`

### setDependent

    public void setDependent(boolean cascade)

  Description copied from interface: `FieldMetaData`
  Set the value of the `FieldMetaData.DEPENDENT` standard extension.
  Specified by:
    `setDependent` in interface `FieldMetaData`

### isElementDependent

    public boolean isElementDependent()

  Description copied from interface: `FieldMetaData`
  Return true if the `FieldMetaData.ELEMENT_DEPENDENT`/`FieldMetaData.VALUE_DEPENDENT` extension key is true and the element/value contains first class objects.
  Specified by:
    `isElementDependent` in interface `FieldMetaData`

### setElementDependent

    public void setElementDependent(boolean cascade)

  Description copied from interface: `FieldMetaData`
  Set the value of the `FieldMetaData.ELEMENT_DEPENDENT` extension key.
  Specified by:
    `setElementDependent` in interface `FieldMetaData`

### isKeyDependent

    public boolean isKeyDependent()

  Description copied from interface: `FieldMetaData`
  Return true if the `FieldMetaData.KEY_DEPENDENT` extension key is true and the key contains first class objects.
  Specified by:
    `isKeyDependent` in interface `FieldMetaData`

### setKeyDependent

    public void setKeyDependent(boolean cascade)

  Description copied from interface: `FieldMetaData`
  Set the value of the `FieldMetaData.KEY_DEPENDENT` extension key.
  Specified by:
    `setKeyDependent` in interface `FieldMetaData`

### isLRS

    public boolean isLRS()

  Description copied from interface: `FieldMetaData`
  Whether this field is backed by a large result set.
  Specified by:
    `isLRS` in interface `FieldMetaData`

### setLRS

    public void setLRS(boolean lrs)

  Description copied from interface: `FieldMetaData`
  Whether this field is backed by a large result set.
  Specified by:
    `setLRS` in interface `FieldMetaData`

### getTypeName

    public String getTypeName()

  Description copied from interface: `FieldMetaData`
  The value of the `FieldMetaData.TYPE` extension key.
  Specified by:
    `getTypeName` in interface `FieldMetaData`

### setTypeName

    public void setTypeName(String type)

  Description copied from interface: `FieldMetaData`
  The value of the `FieldMetaData.TYPE` extension key.
  Specified by:
    `setTypeName` in interface `FieldMetaData`

### getElementTypeName

    public String getElementTypeName()

  Description copied from interface: `FieldMetaData`
  The value of the `FieldMetaData.ELEMENT_TYPE` or `FieldMetaData.VALUE_TYPE` extension key.
  Specified by:
    `getElementTypeName` in interface `FieldMetaData`

### setElementTypeName

    public void setElementTypeName(String type)

  Description copied from interface: `FieldMetaData`
  The value of the `FieldMetaData.ELEMENT_TYPE` or `FieldMetaData.VALUE_TYPE` extension key.
  Specified by:
    `setElementTypeName` in interface `FieldMetaData`

### getKeyTypeName

    public String getKeyTypeName()

  Description copied from interface: `FieldMetaData`
  The value of the `FieldMetaData.KEY_TYPE` extension key.
  Specified by:
    `getKeyTypeName` in interface `FieldMetaData`

### setKeyTypeName

    public void setKeyTypeName(String type)

  Description copied from interface: `FieldMetaData`
  The value of the `FieldMetaData.KEY_TYPE` extension key.
  Specified by:
    `setKeyTypeName` in interface `FieldMetaData`

### getEagerFetchMode

    public int getEagerFetchMode()

  Description copied from interface: `FieldMetaData`
  The eager fetch mode, as one of the eager constants in `FetchConfiguration`.
  Specified by:
    `getEagerFetchMode` in interface `FieldMetaData`

### setEagerFetchMode

    public void setEagerFetchMode(int mode)

  Description copied from interface: `FieldMetaData`
  The eager fetch mode, as one of the eager constants in `FetchConfiguration`.
  Specified by:
    `setEagerFetchMode` in interface `FieldMetaData`

### getFetchGroup

    public String getFetchGroup()

  Description copied from interface: `FieldMetaData`
  Return the name of the custom fetch group for this field, or null if none.
  Specified by:
    `getFetchGroup` in interface `FieldMetaData`

### setFetchGroup

    public void setFetchGroup(String fg)

  Description copied from interface: `FieldMetaData`
  Set the name of the custom fetch group for this field.
  Specified by:
    `setFetchGroup` in interface `FieldMetaData`

### getLockGroup

    public String getLockGroup()

  Description copied from interface: `FieldMetaData`
  Return the name of the lock fetch group for this field, or null if none.
  Specified by:
    `getLockGroup` in interface `FieldMetaData`

### setLockGroup

    public void setLockGroup(String lg)

  Description copied from interface: `FieldMetaData`
  Set the name of the lock group for this field.
  Specified by:
    `setLockGroup` in interface `FieldMetaData`

### isExternalized

    public boolean isExternalized()

  Description copied from interface: `FieldMetaData`
  Whether the field is externalized.
  Specified by:
    `isExternalized` in interface `FieldMetaData`

### getExternalValue

    public Object getExternalValue(Object fieldVal,
                                   KodoPersistenceManager pm)

  Description copied from interface: `FieldMetaData`
  Convert the given field value to its external value through the provided externalizer, or return the value as-is if no externalizer.
  Specified by:
    `getExternalValue` in interface `FieldMetaData`

### getFieldValue

    public Object getFieldValue(Object externalVal,
                                KodoPersistenceManager pm)

  Description copied from interface: `FieldMetaData`
  Return the result of passing the given external value through the factory to get the field value. If no factory extension is present, the given value is returned as-is.
  Specified by:
    `getFieldValue` in interface `FieldMetaData`

### getExternalizer

    public String getExternalizer()

  Description copied from interface: `FieldMetaData`
  The name of this field's externalizer, or null if none.
  Specified by:
    `getExternalizer` in interface `FieldMetaData`

### setExternalizer

    public void setExternalizer(String externalizer)

  Description copied from interface: `FieldMetaData`
  The name of this field's externalizer, or null if none.
  Specified by:
    `setExternalizer` in interface `FieldMetaData`

### getFactory

    public String getFactory()

  Description copied from interface: `FieldMetaData`
  The name of this field's factory, or null if none.
  Specified by:
    `getFactory` in interface `FieldMetaData`

### setFactory

    public void setFactory(String factory)

  Description copied from interface: `FieldMetaData`
  The name of this field's factory, or null if none.
  Specified by:
    `setFactory` in interface `FieldMetaData`

### getExternalValues

    public String getExternalValues()

  Description copied from interface: `FieldMetaData`
  Properties string mapping field values to external values.
  Specified by:
    `getExternalValues` in interface `FieldMetaData`

### setExternalValues

    public void setExternalValues(String values)

  Description copied from interface: `FieldMetaData`
  Properties string mapping field values to external values.
  Specified by:
    `setExternalValues` in interface `FieldMetaData`

### isSequenceAssigned

    public boolean isSequenceAssigned()

  Description copied from interface: `FieldMetaData`
  Set whether this field (of long, int, short or wrapper type) should have a value assigned to it on flush.
  Specified by:
    `isSequenceAssigned` in interface `FieldMetaData`

### setSequenceAssigned

    public void setSequenceAssigned(boolean seqAssign)

  Description copied from interface: `FieldMetaData`
  Set whether this field (of long, int, short or wrapper type) should have a value assigned to it on flush.
  Specified by:
    `setSequenceAssigned` in interface `FieldMetaData`

### isResolved

    public boolean isResolved()

  Description copied from interface: `FieldMetaData`
  Return whether this field has been resolved.
  Specified by:
    `isResolved` in interface `FieldMetaData`

### invalidateResolve

    public void invalidateResolve()

  Description copied from interface: `FieldMetaData`
  For implementation use. Invalidate the field's resolve.
  Specified by:
    `invalidateResolve` in interface `FieldMetaData`

### resolve

    public void resolve()

  Description copied from interface: `FieldMetaData`
  For implementation use. This method resolves fields that might be other first class objects, and caches frequently-accessed data. It requires access to a respository. It can use the repository to access class metadatas, but it cannot access other field metadatas.
  Specified by:
    `resolve` in interface `FieldMetaData`

### usesIntermediate

    public boolean usesIntermediate()

  Description copied from interface: `FieldMetaData`
  Return whether this field uses intermediate data when loading/storing information through a `KodoStateManager`.
  Specified by:
    `usesIntermediate` in interface `FieldMetaData`
  Following copied from interface: `kodo.meta.FieldMetaData`
  See Also:
    `KodoStateManager.setIntermediate(int,Object)`

### usesImplData

    public Boolean usesImplData()

  Description copied from interface: `FieldMetaData`
  Return whether this field uses impl data in conjunction with standard field data when acting on a `KodoStateManager`.
  Specified by:
    `usesImplData` in interface `FieldMetaData`
  Following copied from interface: `kodo.meta.FieldMetaData`
  Returns:
    `Boolean.FALSE` if this field does not use impl data, `Boolean.TRUE` if this field uses non-cachable impl data, or `null` if this field uses impl data that should be cached across instances
  See Also:
    `KodoStateManager.setImplData(int,Object)`

### getComments

    public Collection getComments()

  Description copied from interface: `Commentable`
  Return a collection of all the comments associated with this instance. This collection is directly modifiable.
  Specified by:
    `getComments` in interface `Commentable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.3.5 generated on August 31 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.